package com.ssj.service.conch.curator.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.conch.parents.v1.dto.BookDTO;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

/**
 * @author Mount Liu
 * @date  2020/6/30
 */
public class ModifyStudentInfoReq extends BaseRequest {

    private static final long serialVersionUID = -5975113163032897672L;

    @ApiModelProperty(name = "childName", value = "小孩姓名（需加密）", required = true)
    @NotBlank
    private String childName;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    @NotBlank
    private String grade;

    @ApiModelProperty(name = "school", value = "就读学校（需加密）", required = true)
    @NotBlank
    private String school;

    @NotBlank
    @ApiModelProperty(name = "imgUrl", value = "小孩头像")
    private String imgUrl;

    @NotBlank
    @ApiModelProperty(name = "sex", value = "小孩性别（1男2女）")
    private String sex;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    @NotBlank
    private String vipId;

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }
}
